from json import load

from pandas import DataFrame, json_normalize

from constants import COLUMNS, FILES
from app.data_request import request_dataset


def create_dataframe(dataset) -> DataFrame:
    """
    Creates a DataFrame from a JSON file
    """
    json = request_dataset(dataset)
    df = json_normalize(data=json, record_path=["records"], errors="ignore",)
    filtered_df = df.filter(items=COLUMNS[dataset])
    return filtered_df
